Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ICurveAttractorField.ICurveAttractorFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.ICurveFieldGeo
              igeo.ICurveAttractorField.ICurveAttractorFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Enclosing class:
  ICurveAttractorField

    public static class ICurveAttractorField.ICurveAttractorFieldGeo

extends ICurveFieldGeo

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary

Fields inherited from class igeo.ICurveFieldGeo
`curve, fieldCurve`

Fields inherited from class igeo.IFieldGeo
`constantIntensity, decay, intensity, threshold`

Constructor Summary
`ICurveAttractorField.ICurveAttractorFieldGeo(ICurveI crv)`

Method Summary
`IVecI` | `get(IVecI v, double u)` get original field value out of curve parameter u

Methods inherited from class igeo.ICurveFieldGeo
`constantIntensity, del, gaussian, gaussianDecay, get, intensity, linear, linearDecay, noDecay, threshold`

Methods inherited from class igeo.IFieldGeo
`decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`intensity, threshold`

Constructor Detail

### ICurveAttractorField.ICurveAttractorFieldGeo

    public ICurveAttractorField.ICurveAttractorFieldGeo(ICurveI crv)

Method Detail

### get

    public IVecI get(IVecI v,
                     double u)

  Description copied from class: `ICurveFieldGeo`
  get original field value out of curve parameter u

  Overrides:
    `get` in class `ICurveFieldGeo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD